Package org.apache.qpid.proton.codec

# Interface IntegerType.IntegerEncoding

All Superinterfaces:
  `PrimitiveTypeEncoding<Integer>`, `TypeConstructor<Integer>`, `TypeEncoding<Integer>`

Enclosing class:
  IntegerType

public static interface IntegerType.IntegerEncoding extends PrimitiveTypeEncoding<Integer>

## Method Summary

Modifier and Type
Method
Description
`int`
`readPrimitiveValue()`
`void`
`write(int i)`
`void`
`writeValue(int i)`

### Methods inherited from interface org.apache.qpid.proton.codec.PrimitiveTypeEncoding

`getConstructorSize, getEncodingCode, getType, writeConstructor`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeEncoding

`encodesJavaPrimitive, encodesSuperset, getValueSize, isFixedSizeVal, writeValue`

## Method Details

### write

void write(int i)

### writeValue

void writeValue(int i)

### readPrimitiveValue

int readPrimitiveValue()